堡塔618特惠活动,企业版1099元/年,永久授权最高立减20000元查看活动
当前位置:论坛首页 > Linux面板 > 讨论

文件同步工具Bug和建议收集贴

发表在 Linux面板2023-2-13 10:52 [复制链接] 19 10723

此贴只收集文件同步工具Bug和建议,不处理/不回复任何网站问题
确定是文件同步工具Bug,不是人为修改造成,请按以下格式填写完整资料,以便我们搭建测试环境,资料不全不回复
回复格式如下:
  • 系统版本(redhat/centos类:cat /etc/redhat-release    debian/ubuntu类:cat /etc/issue):
  • 系统位数(uname -a):
  • 面板版本(宝塔面板首页右上角):
  • 问题描述(如何造成的/错误代码等详细错误信息,如升级造成,请说明升级之前的版本):
  • 可以的话可以附上截图:



新功能/改进建议请按照以下格式提交,好的建议被采纳后会发放对应量的宝塔币哦!
  • 系统版本(redhat/centos类:cat /etc/redhat-release    debian/ubuntu类:cat /etc/issue):
  • 系统位数(uname -a):
  • 面板版本(宝塔面板首页右上角):
  • 建议描述(什么情况下会使用?解决了您什么问题?):
  • 可以的话可以附上描述该情况的流程或其他相关截图:


## 升级到新版本后文件同步工具异常?可以执行下面的命令,然后请将/tmp/irsync.log文件上传给木兰分析一下看看,感谢您的积极配合。
  1. bash -x /www/server/panel/plugin/rsync/install.sh install 2>&1 | tee -a /tmp/irsync.log
复制代码


文件同步工具QQ交流群:620695507

## 部分已知导致无法正常使用数据同步插件的情况,如下:
系统是centos8.x,升级插件后报错?原因可能是centos8在系统官方已经停止维护了,大部分厂商的软件源已经移除正式使用;可以尝试下面的方法,替换阿里云旧的软件源,然后再修复插件:(命令一条条复制执行)
  1. \cp -r /etc/yum.repos.d /root/yum.repos.d1
  2. rm -rf /etc/yum.repos.d/*
  3. curl -o /etc/yum.repos.d/CentOS-Base.repo https://mirrors.aliyun.com/repo/Centos-vault-8.5.2111.repo
  4. yum clean all && yum makecache
  5. yum remove -y epel-release
  6. yum install -y epel-release
  7. bash -x /www/server/panel/plugin/rsync/install.sh install > /tmp/irsync.log
复制代码

如果上面的方法仍然无法解决,请看下面的说明尝试自行升级系统至centos stream8后再修复插件尝试
https://www.bt.cn/bbs/thread-82931-1-1.html

都试过了还不行可以加群,木兰可以帮您解决遇到的问题,希望可以帮到您。
使用道具 举报 只看该作者 回复
发表于 2023-2-13 23:24:23 | 显示全部楼层
本帖最后由 霜天 于 2023-2-13 23:36 编辑

我的问题解决了,删了。

蓝易云香港五网CTGNet CN2回程服务器:www.tsyvps.com  发表于 2023-3-20 07:39
使用道具 举报 回复 支持 反对
发表于 2023-2-24 15:42:34 | 显示全部楼层
本帖最后由 宝塔用_eedd 于 2023-2-24 15:48 编辑

QQ截图20230224145637.jpg 升级之后引发的问题     



https://www.bt.cn/bbs/forum.php?mod=attachment&aid=MTM4MTg0fDZjMDk5ZmMxMjUwMTc0ZjI2OTM3OTNhN2JlYWY1OTM1fDE3MTg0Mjk5NDg%3D&request=yes&_f=.zip irsync.zip (1.64 KB, 下载次数: 6311)
使用道具 举报 回复 支持 反对
发表于 2023-2-25 12:08:43 | 显示全部楼层
我想问一下,我如何才能退回之前的版本,之前我数据同步工具还是3.4来着
使用道具 举报 回复 支持 反对
发表于 2023-2-27 11:40:42 | 显示全部楼层
QQ图片20230227110037.png 点击“网站”栏目,出现该问题,修复+重启 也不行,请问如何解决?
使用道具 举报 回复 支持 反对
发表于 2023-2-27 11:44:36 | 显示全部楼层
宝塔用户_lpkbmx 发表于 2023-2-27 11:40
点击“网站”栏目,出现该问题,修复+重启 也不行,请问如何解决?

系统是:CentOS 7.9 64位 ARM版,宝塔是 7.9.8
使用道具 举报 回复 支持 反对
发表于 2023-2-28 10:17:03 | 显示全部楼层
宝塔用_eedd 发表于 2023-2-24 15:42
升级之后引发的问题     

可以加一下群,木兰帮你检查一下
使用道具 举报 回复 支持 反对
发表于 2023-2-28 11:53:05 | 显示全部楼层
本帖最后由 宝塔用_eedd 于 2023-2-28 19:21 编辑
宝塔用_eedd 发表于 2023-2-24 15:42
升级之后引发的问题     

系统版本 CentOS 7.4.1708 x86_64(Py3.7.9)
系统位数 x86_64 GNU/Linux
面板版本 7.9.8


同步工具3.4 之前是这个版本
rsync-3.1.2-10.el7.x86_64



同步工具升级到3.7.2之后,就会报错了。 问题体现在: A文件夹有更新,B文件有可能无反应。    A文件夹如果有压缩包,解压之后,B文件夹同步是残缺的(比如A解压之后是5个文件,B可能只有3个)。

我找来了同步工具3.4版本的文件,先删除了3.7.2的文件夹,然后复制进去运行之后出现这个报错  Error: in Lua: /www/server/panel/plugin/rsync/xxHash-0.8.0/lsyncd-2.3.1/lsyncd.lua::2578: Queue is broken, delay not at dpos   。   老版本压根没有这个路径的,说明即时我覆盖了文件夹,还有其他地方的配置我没有改动。


现在想要解决的是,我已经有了3.4的文件,3.7.2我不想用了,我该如何还原到之前?


帖子里的群号是错的?之前都搜不到


同步工具3.7.2文件里没有这个路径 /www/server/panel/plugin/rsync/xxHash-0.8.0/lsyncd-2.3.1/  严格来说是没有 lsyncd-2.3.1 这个文件夹


使用道具 举报 回复 支持 反对
发表于 2023-2-28 19:04:05 | 显示全部楼层
堡塔安全赤井秀一 发表于 2023-2-28 10:17
可以加一下群,木兰帮你检查一下

群号多少
使用道具 举报 回复 支持 反对
发表于 2023-3-3 17:25:37 | 显示全部楼层
使用道具 举报 回复 支持 反对
发表于 2023-3-3 17:27:28 | 显示全部楼层
宝塔用_eedd 发表于 2023-2-28 11:53
系统版本 CentOS 7.4.1708 x86_64(Py3.7.9)
系统位数 x86_64 GNU/Linux
面板版本 7.9.8

这个不是插件上的问题,lsyncd出问题了,需要检查一下,加群喊木兰给你看看
使用道具 举报 回复 支持 反对
发表于 2023-3-13 16:21:44 | 显示全部楼层
7.9.8- SSH修复面板,结果反向升级了?cent os7.9 和Debian10都有过。
kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec ... or kill -l [sigspec]
Starting Bt-Panel... Bt-Panel (pid 23406) already running
Starting Bt-Tasks...    done
已成功升级到[7.9.7]
使用道具 举报 回复 支持 反对
发表于 2023-3-19 15:01:38 | 显示全部楼层
宝塔用户_cjeorf 发表于 2023-3-13 16:21
7.9.8- SSH修复面板,结果反向升级了?cent os7.9 和Debian10都有过。
kill: usage: kill [-s sigspec | -n ...

这个我也遇到了,估计他们7.9.8的更新包还没上传
使用道具 举报 回复 支持 反对
发表于 2023-4-8 11:39:19 | 显示全部楼层
本帖最后由 宝小塔二 于 2023-4-8 11:40 编辑

系统版本:CentOS 7.9.2009 x86_64(Py3.7.9)
系统位数:x86_64 GNU/Linux
面板版本:7.9.8
问题描述:《宝塔一键迁移API版本》插件,版本号 =>3.0一键迁移(从西部数据迁移到腾讯云服务器)后所有网站都打不开,均报403或502错误
防火墙、安全组设置均无误,同一服务器上非迁移网站都是正常的,只有迁移过来的不正常。

求解,谢谢。
使用道具 举报 回复 支持 反对
发表于 2023-4-9 17:27:39 | 显示全部楼层
yuxiao1992 发表于 2023-3-19 15:01
这个我也遇到了,估计他们7.9.8的更新包还没上传

现在都升级到7.9.9了,ssh修复还是反向到7.9.7
使用道具 举报 回复 支持 反对
12下一页
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

普通问题处理

论坛响应时间:72小时

问题处理方式:排队(仅解答)

工作时间:白班:9:00 - 18:00

紧急问题处理

论坛响应时间:10分钟

问题处理方式:1对1处理(优先)

工作时间:白班:9:00 - 18:00

工作时间:晚班:18:00 - 24:00

立即付费处理

工作时间:09:00至24:00

快速回复 返回顶部 返回列表